List all custom attributes in an account
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"attribute_display_name": "<string>",
"attribute_display_type": "<string>",
"attribute_description": "<string>",
"attribute_key": "<string>",
"regex_pattern": "<string>",
"regex_cue": "<string>",
"attribute_values": "<string>",
"attribute_model": "<string>",
"default_value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Custom Attributes
List all custom attributes in an account
Get details of custom attributes in an Account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
custom_attribute_definitions
List all custom attributes in an account
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"attribute_display_name": "<string>",
"attribute_display_type": "<string>",
"attribute_description": "<string>",
"attribute_key": "<string>",
"regex_pattern": "<string>",
"regex_cue": "<string>",
"attribute_values": "<string>",
"attribute_model": "<string>",
"default_value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Query Parameters
conversation_attribute(0)/contact_attribute(1)
Available options:
0, 1 Response
Success
Identifier
Attribute display name
Attribute display type (text, number, currency, percent, link, date, list, checkbox)
Attribute description
Attribute unique key value
Regex pattern
Regex cue
Attribute values
Attribute type(conversation_attribute/contact_attribute)
Attribute default value
The date and time when the custom attribute was created
The date and time when the custom attribute was updated